Subject: bug#53678: closed (Re: bug#53678: 29.0.50; Invalid read syntax: "#<" for package install in Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 24 Mar 2022 01:32:02 +0000

Your bug report

#53678: 29.0.50; Invalid read syntax: "#<" for package install in Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53678: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53678
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53678: 29.0.50; Invalid read syntax: "#<" for package install in Windows
From: Michael Heerdegen <[email-masked]>
To: Shuguang Sun <[email-masked]>
Cc: Alan Mackenzie <[email-masked]>, [email-masked]
Date: Thu, 24 Mar 2022 02:31:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Shuguang Sun <[email-masked]> writes:

> The issue has be fixed from the package (async) side.
> https://github.com/jwiegley/emacs-async/issues/153#event-6295734933

Thanks for confirming.  The problem didn't show up for me any more, too.
So I'm closing this report.

Thanks,

Michael.

Subject: 29.0.50; Invalid read syntax: "#<" for package install in Windows
From: Shuguang Sun <[email-masked]>
To: [email-masked]
Date: Tue, 01 Feb 2022 13:32:11 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

When I try to install packages from the Package Menu or the command of
package-install since about two weeks ago, it reports the error:
```
error in process sentinel: async-when-done: Invalid read syntax: "#<"
error in process sentinel: Invalid read syntax: "#<"
```
And it seems not preventing the installation process but stops the emacs
to compile the el files to elc.

FYI. I failed to find out what makes it. It looks like the local variable in
the autoloads file generated by the package process. It add
`;; coding: utf-8-emacs-unix`, however, in windows, the file is probablly
in a coding of utf-8-emacs-dos. When I try to open the autoload file,
Emacs can't regonize the major mode which assumes to be `emacs-lisp-mode`.
Unless I change the `;; coding: utf-8-emacs-unix` to
`;; coding: utf-8-emacs`, it can be open in the `emacs-lisp-mode`.

Best Regards,
Shuguang Sun

In GNU Emacs 29.0.50 (build 1, x86_64-w64-mingw32)
 of 2022-01-31 built on YJ190169-SSG
Repository revision: 04f9c3b8df6afaf1e9de9f2a4478f63fd959bf09
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.19044
System Description: Microsoft Windows 10 Pro (v10.0.2009.19044.1466)

Configured using:
 'configure --without-pop --with-native-image-api
 --with-native-compilation --without-compress-install
 '--program-transform-name=s/^ctags$/ctags.emacs/''

Configured features:
ACL DBUS GIF GMP GNUTLS HARFBUZZ JPEG JSON LCMS2 LIBXML2 MODULES
NATIVE_COMP NOTIFY W32NOTIFY PDUMPER PNG RSVG SOUND SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS WEBP XPM ZLIB

Important settings:
  value of $LANG: CHS
  locale-coding-system: cp936